<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>HTML Introduction</title>
	<p><em>
		Science and Engineering Ethics (2001) 7, 231-238
	</em></p>
	<hr>

</head>
<body>
	<h1> <strong>Software Engineering Code of Ethics and Professional Practice</strong></h1>
	<h3><strong>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</strong></h3>
	<hr>

		<p> Keywords: code of ethics, professional responsibility, software engineering

			<br>
			<br>
			<strong>PREAMABLE</strong>
			<br>
			<br>
			The short version of the code summarize aspiration at a high level abstraction. The clauses that are included in the full version give examples and details of how theseaspirations change the way we act as software engineering professionals. Without the aspirations, the details can become the legalistic and tedious, without the details, the aspirations can become high-sounding but empty; the aspirations and details form a cohesive code.
			<br>
			<br>
			Software engineers shall commit themselves to making the analysis, specification, design, development, testing and maintenance of software a beneficial and respected profession. In accordance with their commitment to the health, safety, and welfare of the public, software engineers shall adhere to the following eight Principles:
			<br>
			<br>

			<strong>PRINCIPLES</strong>
			<br>
			<ol>
				<li> <em>Public</em>, Software engineers shall act consistentky with the public interest.</li>
				<li><em>Client and employer.</em> Software Engineers shall act in a manner that is in their client and employer, consisten with public interest</li
				>
				<li><em>Product.</em> Software engineers shall ensure that their product and related modifications meet the highest professional standards possible</li>
				<li><em>Judgement. Sofware engineers shall maintain integrity and independence in their profession judgement</em></li>
				<li><em>Management.</em>Software engineering managers and leaders shall subscribe to and promote an ethical approach to management of software developement and maintenance</li>
				<li><em>Profession.</em> Software Engineers shall advance the integrity and reputation of the pofession consistent with the public interest.</li>
				<li><em>Colleagues.</em>Sofware engineers shall be fair to and supportive to their colleagues.</li>
				<li><em>Self.</em> Software engineers shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the practice of the profession</li>
			</ol>
		</p>

</body>
</html>